
Foreman - Bug #14835

Filter "Puppet class" doesn't have Organization and Location

04/26/2016 03:57 PM - Ivan Necas

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1329992 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1329992

Description of problem:

Lets say there are two organizations A and B. Organization A has Puppet environment A_puppet_env. The Puppet environment

A_puppet_env was changed on Satellite (puppet modules were added), but Satellite database wasn't updated (the puppet modules

were not imported). Organization B has a user B_user, that is not in organization A. The B_user has permissions to import puppet

classes and environments for organization B. When the B_user will go to Puppet classes page (https://satellite.com/puppetclasses)

and will click on "import from satellite.com" he will see the Puppet environment A_puppet_env. If the B_user will select the

A_puppet_env and click "update" he will get: "Validation failed: Name has already been taken".

1. The user shouldn't see the A_puppet_env

2. The user should see only Puppet environments associated in Satellite

Version-Release number of selected component (if applicable):

Snap 8.2

How reproducible:

Always

Steps to Reproduce:

1. Create two organizations A and B

2. Create Content view in organization A with puppet modules, and publish

3. Create user B_user (non admin) with permissions to import puppet classes and environment in organization B

4. login as B_user, got to Puppet classes page

5. click "import from satellite.com"

6. select puppet organization A puppet environment

7. click update

Actual results:

"Validation failed: Name has already been taken"

Expected results:

User doesn't see organization A environments

Additional info:

Related issues:

Related to Foreman - Tracker #10022: Taxonomies related issues New 04/05/2015

Is duplicate of Foreman - Bug #14339: PuppetClassImporter doesn't respect acc... New 03/23/2016

History

#1 - 04/26/2016 03:58 PM - Ivan Necas

- Related to Tracker #10022: Taxonomies related issues added

#2 - 04/26/2016 04:01 PM - Ivan Necas
https://bugzilla.redhat.com/show_bug.cgi?id=1329992
https://satellite.com/puppetclasses


- Is duplicate of Bug #14339: PuppetClassImporter doesn't respect access control or taxonomies added

#3 - 04/26/2016 04:01 PM - Ivan Necas

- Status changed from New to Duplicate

Powered by TCPDF (www.tcpdf.org)

05/21/2024 2/2

http://www.tcpdf.org

